Name:           jlatexmath
Version:        0.9.6
Release:        2%{?dist}
Summary:        Java API to display mathematical formulas written in LaTeX

Group:          Development/Libraries
License:        GPLv2+
URL:            http://forge.scilab.org/index.php/p/jlatexmath/
# $ wget http://forge.scilab.org/index.php/p/jlatexmath/downloads/259/get/
# After correction of http://projects.ceondo.com/p/indefero/issues/686/ should become :
# Source0: http://forge.scilab.org/index.php/p/jlatexmath/downloads/%{name}-src-all-%{version}.zip
Source0:        jlatexmath-src-all-0.9.6.zip
# Fix incorrect-fsf-address /usr/share/doc/jlatexmath-fop-0.9.6/LICENSE
# upstream bug : http://forge.scilab.org/index.php/p/jlatexmath/issues/458/
Patch0:         0001-incorrect-fsf-address.patch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant

Requires:       java
Requires:       jpackage-utils

BuildArch:      noarch

%description
The goal of this Java API is to display mathematical formulas written in LaTeX.
The default encoding is UTF-8 and most of LaTeX commands are available.

JLaTeXMath is a fork of the excellent project JMathTeX.

%package fop
Summary:        FOP plug-in for %{name}
Group:          Development/Libraries

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  fop

Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}
Requires:       fop


%description fop
This package contains the FOP plug-in for %{name}.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Fix class-path-in-manifest error
sed -i '/class-path/I d' plugin/fop/MANIFEST.MF

%build
ant buildJar
ant fop
ant doc

%install

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p dist/%{name}-fop-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-fop.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc README
%doc COPYING
%doc LICENSE

%files fop
%{_javadir}/%{name}-fop.jar
%doc plugin/fop/COPYING
%doc plugin/fop/LICENSE

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Thu Jun 03 2011 Clément David <c.david86@gmail.com> - 0.9.6-2
- Fix after first review
- Add 0001-incorrect-fsf-address.patch
* Thu Jun 02 2011 Clément David <c.david86@gmail.com> - 0.9.6-1
- Initial packaging
